<?php

namespace App\Livewire\JobCards;

use Livewire\Component;
use App\Models\JobCard;

class Show extends Component
{
    public JobCard $jobCard;

    public function mount(JobCard $jobCard)
    {
        $this->jobCard = $jobCard->load([
            'customer',
            'vehicle',
            'serviceAdvisor',
            'incomingInspection',
            'outgoingInspection',
            'diagnosis',
            'estimates',
            'workOrders',
            'timesheets'
        ]);
    }

    public function render()
    {
        return view('livewire.job-cards.show');
    }
}
